Subject: Re: Massive repository corruptions

From: Enrico Weigelt <[email-masked]>
Date: Tue, 13 Jul 2010 08:46:48 +0200

* Enrico Weigelt <[email-masked]> wrote:
> * Enrico Weigelt <[email-masked]> wrote:
> 
> <snip>
> 
> What's strange: 
> 
> when copying pack files from another machine to this box and
> run git index-pack there, it fails with the same error. 
> 
> also: pushing into a new (bare) repo sometimes fails with 
> inflate errors, sometimes succeeds but leaves an broken packfile.

Interesting: if I limit the pack size on the local repository,
and manually copy them over via scp, git index-pack runs fine
on them.

Subsequent push doesnt seem to recognize the already transferred
packs and still sends the big one which gets broken, but running
git-gc multiple times seems to clean up the mess.

Is there any way for limiting the pack size on push ?
(pack.packSizeLimit only affects git-repack, not remote transfers).

cu
-- 
----------------------------------------------------------------------
 Enrico Weigelt, metux IT service -- http://www.metux.de/

 phone:  +49 36207 519931  email: [email-masked]
 mobile: +49 151 27565287  icq:   210169427         skype: nekrad666
----------------------------------------------------------------------
 Embedded-Linux / Portierung / Opensource-QM / Verteilte Systeme
----------------------------------------------------------------------